# This file created by conda-build 3.17.6
# ------------------------------------------------

package:
    name: py-lief
    version: 0.9.0
source:
    -   fn: lief-0.9.0.tar.gz
        patches:
            - 0001-Allow-building-from-released-tarball.patch
            - 0002-MSVC-Add-bigobj-flag.patch
            - 0003-Export-LIEF-Object-and-LIEF-MachO-DataCodeEntry-clas.patch
            - 0004-MachO-Fix-has_dynamic_symbol_command.patch
            - 0005-Link-Python-extension-module-to-shared-LIEF-library.patch
        sha256: 8f1a12d69d9f6bd8404d4f5809549d1c7f3138cacf3bccd1192cb4f46bfb9eb7
        url: https://github.com/lief-project/LIEF/archive/0.9.0.tar.gz
build:
    number: 2
    run_exports:
        - py-lief >=0.9.0,<0.10.0a0
    string: py27h1413db1_2
requirements:
    build:
        - bzip2 1.0.6 h1de35cc_5
        - ca-certificates 2018.03.07 0
        - cctools 895 1
        - clang 4.0.1 1
        - clang_osx-64 4.0.1 h1ce6c1d_11
        - clangxx 4.0.1 1
        - clangxx_osx-64 4.0.1 h22b1bf0_11
        - cmake 3.12.2 haff7e42_0
        - compiler-rt 4.0.1 hcfea43d_1
        - expat 2.2.6 h0a44026_0
        - git 2.19.1 pl526h6951d83_0
        - krb5 1.16.1 hddcf347_7
        - ld64 274.2 1
        - libcurl 7.63.0 h051b688_1000
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libedit 3.1.20170329 hb402a30_2
        - libiconv 1.15 hdd342a3_7
        - libssh2 1.8.0 ha12b0ac_4
        - llvm 4.0.1 1
        - llvm-lto-tapi 4.0.1 1
        - make 4.2.1 h3efe00b_1
        - ncurses 6.1 h0a44026_1
        - openssl 1.1.1a h1de35cc_0
        - perl 5.26.2 h4e221da_0
        - pkg-config 0.29.2 h3efe00b_8
        - rhash 1.3.6 ha12b0ac_0
        - tk 8.6.8 ha441bb4_0
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 h1de35cc_3
    host:
        - ca-certificates 2018.03.07 0
        - certifi 2018.11.29 py27_0
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libedit 3.1.20170329 hb402a30_2
        - libffi 3.2.1 h475c297_4
        - liblief 0.9.0 h2a1bed3_2
        - ncurses 6.1 h0a44026_1
        - openssl 1.1.1a h1de35cc_0
        - python 2.7.15 h8f8e585_6
        - readline 7.0 h1de35cc_5
        - setuptools 40.6.3 py27_0
        - sqlite 3.26.0 ha441bb4_0
        - tk 8.6.8 ha441bb4_0
        - zlib 1.2.11 h1de35cc_3
    run:
        - libcxx >=4.0.1
        - liblief 0.9.0 h2a1bed3_2
        - python >=2.7,<2.8.0a0
test:
    imports:
        - lief
    requires:
        - clangxx_osx-64
about:
    description: 'It turns out that many projects need to parse executable formats
        and they usually re-implement

        their own parser. Moreover these parsers are usually bound to one language.

        LIEF attempts to fill this void.

        '
    doc_source_url: https://github.com/lief-project/LIEF/tree/master/doc
    doc_url: https://lief.quarkslab.com/doc/stable/index.html
    home: https://lief.quarkslab.com/
    license: Apache 2.0
    license_family: Apache
    summary: A cross platform library to parse, modify and abstract ELF, PE and MachO
        formats.
extra:
    copy_test_source_files: true
    final: true
